//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference
// Implementation, v2.2.8-b130911.1802
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2018.12.06 at 03:36:10 PM CET
//

package nl.naturalis.nba.dao.format.config;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>Java class for PluginXmlConfig complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="PluginXmlConfig">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="java-class" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="arg" type="{http://data.naturalis.nl/nba-dataset-config}PluginParamXmlConfig" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
    name = "PluginXmlConfig",
    propOrder = {"javaClass", "arg"})
public class PluginXmlConfig {

  @XmlElement(name = "java-class", required = true)
  protected String javaClass;

  protected List<PluginParamXmlConfig> arg;

  /**
   * Gets the value of the javaClass property.
   *
   * @return
   *     possible object is
   *     {@link String }
   *
   */
  public String getJavaClass() {
    return javaClass;
  }

  /**
   * Sets the value of the javaClass property.
   *
   * @param value
   *     allowed object is
   *     {@link String }
   *
   */
  public void setJavaClass(String value) {
    this.javaClass = value;
  }

  /**
   * Gets the value of the arg property.
   *
   * <p>
   * This accessor method returns a reference to the live list,
   * not a snapshot. Therefore any modification you make to the
   * returned list will be present inside the JAXB object.
   * This is why there is not a <CODE>set</CODE> method for the arg property.
   *
   * <p>
   * For example, to add a new item, do as follows:
   * <pre>
   *    getArg().add(newItem);
   * </pre>
   *
   *
   * <p>
   * Objects of the following type(s) are allowed in the list
   * {@link PluginParamXmlConfig }
   *
   *
   */
  public List<PluginParamXmlConfig> getArg() {
    if (arg == null) {
      arg = new ArrayList<PluginParamXmlConfig>();
    }
    return this.arg;
  }
}
